A. The translatexxe command-line utility
Prev |  |

## A. The translatexxe command-line utility

After installing the "Translate XMLmind XML Editor" add-on, the translatexxe command-line utility is found in the `translate_xxe/` subdirectory of one of the two `addon/` directories scanned by XXE during its startup.

Use `translatexxe.bat` on Windows and the `translatexxe` shell script on Linux and on the Mac.

The translatexxe command-line utility is auto-documented. Execute `translatexxe -?` in order to print a short help text similar to what follows:

    translatexxe [-v] [-l two_letter_language_code] [-e message_file_encoding]
      [-a author_of_the_translation]

        -m out_message_file [in_jar_file|in_zip_file]
    OR
        -j out_jar_file in_message_file
    OR
        -p out_zip_file in_jar_file|in_message_file

- Use "`-m out_message_file`" to create a XLIFF (`.xlf`) or text (`.txt`) file containing the XXE messages to be translated.

- If you have already translated XXE messages to, say, Italian, and want to update your translation, use "`-m out_message_file it_translation.jar`" or "`-m out_message_file it_translation.zip`".

- Use "`-j out_jar_file in_message_file`" to convert your message file "`in_message_file`" to message Jar "`out_jar_file`".

- After using option "`-j`" to test your message jar, you may want to use "`-p out_zip_file in_jar_file`" to package the message Jar as a `.zip` file for use by XXE add-on manager.

  You may want to use option "`-a`" in conjunction with this "`-p`" option. By default, the author of the add-on is taken from your login name.

- In all cases, "`-e message_file_encoding`" may be used to specify the encoding of the input or output message file.

  By default, the encoding used for a text file is the native encoding of the platform (e.g. "`windows-1252`") and the encoding used for an XLIFF file is "UTF-8".

- Use "`-l two_letter_language_code`" to specify the target language of your translation of XXE messages.

  By default, this language code is inferred from the first two letters of the basename of the message Jar file. Example: "`-j it_translation.jar msg.txt`" implies that you have translated XXE messages to Italian.

Prev |  |
3. How to correctly translate a message | Home |